> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Contact Imports

> Import history for this team, newest first.



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/teams/{team_id}/contacts/imports
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/teams/{team_id}/contacts/imports:
    get:
      tags:
        - contacts-admin
      summary: List Contact Imports
      description: Import history for this team, newest first.
      operationId: contacts_admin.get_contacts_admin_get_teams_by_team_id_contacts_imports
      parameters:
        - in: path
          name: team_id
          required: true
          schema:
            title: Team Id
            type: string
        - description: Cursor — ID of the last item on the previous page.
          in: query
          name: page[after]
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor — ID of the last item on the previous page.
            title: Page[After]
        - in: query
          name: page[size]
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            title: Page[Size]
            type: integer
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ImportListResponse'
          description: Successful Response
        '422':
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ImportListResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: '#/components/schemas/ImportResource'
          title: Data
          type: array
        links:
          additionalProperties: true
          title: Links
          type: object
        meta:
          additionalProperties: true
          title: Meta
          type: object
      required:
        - data
        - meta
        - links
      title: ImportListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ImportResource:
      additionalProperties: false
      properties:
        attributes:
          $ref: '#/components/schemas/ImportAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        type:
          const: contact_imports
          default: contact_imports
          title: Type
          type: string
      required:
        - id
        - attributes
      title: ImportResource
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    ImportAttributes:
      additionalProperties: false
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        created_count:
          title: Created Count
          type: integer
        error_rows:
          items:
            $ref: '#/components/schemas/ErrorRow'
          title: Error Rows
          type: array
        error_rows_truncated:
          title: Error Rows Truncated
          type: boolean
        existing:
          title: Existing
          type: string
        expires_at:
          format: date-time
          title: Expires At
          type: string
        file_name:
          title: File Name
          type: string
        finished_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Finished At
        marketing_consent:
          title: Marketing Consent
          type: boolean
        processed_rows:
          title: Processed Rows
          type: integer
        row_count:
          title: Row Count
          type: integer
        skipped_count:
          title: Skipped Count
          type: integer
        started_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Started At
        status:
          title: Status
          type: string
        tag_ids:
          items:
            type: string
          title: Tag Ids
          type: array
        updated_count:
          title: Updated Count
          type: integer
      required:
        - file_name
        - status
        - created_at
        - started_at
        - finished_at
        - created_by_user_id
        - row_count
        - processed_rows
        - created_count
        - updated_count
        - skipped_count
        - error_rows
        - error_rows_truncated
        - tag_ids
        - existing
        - marketing_consent
        - expires_at
      title: ImportAttributes
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    ErrorRow:
      additionalProperties: false
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        reason:
          title: Reason
          type: string
        row:
          title: Row
          type: integer
      required:
        - row
        - reason
      title: ErrorRow
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.